View Issue Details

IDProjectCategoryView StatusLast Update
0013778ScribusQt5 Portpublic2016-11-23 11:47
Reporterlongli Assigned ToKunda  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionno change required 
PlatformOS-win32OSwindowsOS Versionwindows 10
Product Version1.5.1 
Target VersionFixed in Version 
Summary0013778: The interface of the input method does not follow the cursor when you type the Chinese word in the textbox of Scribus
DescriptionThe interface of the input method does not follow the cursor when you type the Chinese word in the textbox of Scribus, but appears at a fixed position.
When you type the Chinese word in Office, the interface of input method can follow the cursor.
The problem is as shown in the picture:
TagsCJK, Qt5.7, upstream
PatchNo

Relationships

related to 0013717 assignedKunda SE Tooltips popup far from their actual source 

Activities

Kunda

2016-03-01 02:22

manager  

1.png (21,214 bytes)
1.png (21,214 bytes)

Kunda

2016-03-01 02:22

manager  

2.png (8,238 bytes)
2.png (8,238 bytes)

Kunda

2016-03-01 02:23

manager   ~0038940

This looks like a Qt issue, right jghali/craig?

longli

2016-03-05 09:55

reporter   ~0038976

jghali/craig? Is this a QT issue? Can it be fixed?

cbradney

2016-03-05 10:17

administrator   ~0038978

Absolutely no idea. I doubt it is anything to do with our code.

Kunda

2016-03-05 15:12

manager   ~0038983

craig, this reminds of the popup issue (0013717)

longli

2016-03-07 03:01

reporter   ~0039018

As far as I know that CreateCaret and SetCaretPos of windows API functions can set the position of cursor, and so that the interface of input method can follow the cursor when you type. Are there any funtions like that in QT?

Kunda

2016-03-30 21:11

manager   ~0039577

jghali/cbrandey ? 0013778:0039018

Kunda

2016-03-30 21:12

manager   ~0039578

longli, can you make a screencast of this ? If this is a Qt issue we can create a ticket on http://bugreports.qt.io/

Kunda

2016-04-11 19:51

manager   ~0040091

longli, ping

Kunda

2016-04-11 20:02

manager   ~0040093

This is a Qt issue. Resolving for now.

longli

2016-04-14 02:44

reporter   ~0040153

Thank you very much for resolving quickly.

I want to know you test in which vision of QT, because the QT 5.5.1 which I'm using now has problem.

Kunda

2016-04-14 05:37

manager   ~0040154

longli, it's not fixed. You need to file a bug report upstream with Qt on http://bugreports.qt.io/
I resolved it because you didn't respond to my queries. If you file the bug and link to this ticket, I'll keep the bug open.

Kunda

2016-04-14 10:17

manager   ~0040156

you may want to try installing Qt5.6 and testing. Perhaps we can find someone to make a test build for you on windows10 ?

longli

2016-04-18 03:31

reporter   ~0040234

In Windows XP, Win 7 and Win 10, the interface of the input method does not follow the cursor when you type the Chinese word in the textframe of Scribus, but when you type the Chinese word in StoryEditor, the interface of input method can follow the cursor. Please kindly find the screencast in the attached file.

longli

2016-04-18 04:00

reporter  

scribusime_Compress.part1.rar (3,145,728 bytes)

longli

2016-04-18 04:00

reporter  

scribusime_Compress.part2.rar (2,508,700 bytes)

Kunda

2016-04-18 04:07

manager   ~0040236

Longli, like craig, a scribus dev, said above in 0013778:0038978
Absolutely no idea. I doubt it is anything to do with our code. 


This is most likely a Qt5 issue. I recommend that you file a bug report 'upstream' at Qt (http://bugreports.qt.io/) let them know that this issue occurs and see if anyone else is having a problem like this.

longli

2016-04-19 08:57

reporter   ~0040302

https://bugreports.qt.io/browse/QTBUG-52674

can you find someone to make a self contained example for Qt?

Kunda

2016-04-28 00:55

manager   ~0040559

Assigned this bug to me so I could keep track of it...even though it's an upstream issue. I've also tweeted to see if we could get some help: https://twitter.com/scribus/status/725488435167784960

Kunda

2016-04-28 00:56

manager   ~0040560

longli, please test this in 1.5.2svn nightly as well: https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.2.svn/

longli

2016-05-12 11:29

reporter   ~0040962

I test https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.2.svn on mac, it has the same problem

longli

2016-05-12 11:29

reporter  

Kunda

2016-05-12 12:51

manager   ~0040965

longli, perhaps you can test this bug on another qt based application to see if you can recreate ?

Kunda

2016-11-09 11:47

manager   ~0042370

@longli can you test using Qt5.7

Kunda

2016-11-22 12:01

manager   ~0042496

@longli ping

longli

2016-11-23 09:03

reporter   ~0042510

@Kunda Has not been tested under Qt5.7, now I used Qt version is 5.5

Kunda

2016-11-23 11:47

manager   ~0042513

@longli issue still is present right?
Also can you write the following down and I'll paste it to the qt bug report that I opened.
    What did you do? This ideally takes the form of short bullet points. 
However, try to be as precise as possible when describing something like a touch gesture.
    What did you expect to happen?
    What happened instead?

Issue History

Date Modified Username Field Change
2016-02-29 07:26 longli New Issue
2016-02-29 07:26 longli File Added: image.zip
2016-03-01 02:21 Kunda File Deleted: image.zip
2016-03-01 02:22 Kunda File Added: 1.png
2016-03-01 02:22 Kunda File Added: 2.png
2016-03-01 02:23 Kunda Note Added: 0038940
2016-03-01 02:23 Kunda Tag Attached: upstream
2016-03-05 09:55 longli Note Added: 0038976
2016-03-05 10:17 cbradney Note Added: 0038978
2016-03-05 15:12 Kunda Note Added: 0038983
2016-03-05 15:40 Kunda Priority high => normal
2016-03-05 15:40 Kunda Severity text => minor
2016-03-05 15:40 Kunda Category Typography => Qt5 Port
2016-03-07 03:01 longli Note Added: 0039018
2016-03-30 21:11 Kunda Note Added: 0039577
2016-03-30 21:12 Kunda Note Added: 0039578
2016-04-11 19:51 Kunda Note Added: 0040091
2016-04-11 19:51 Kunda Tag Attached: CJK
2016-04-11 20:02 Kunda Note Added: 0040093
2016-04-11 20:02 Kunda Status new => resolved
2016-04-11 20:02 Kunda Resolution open => no change required
2016-04-11 20:02 Kunda Assigned To => Kunda
2016-04-11 20:03 Kunda Assigned To Kunda =>
2016-04-14 02:44 longli Note Added: 0040153
2016-04-14 05:37 Kunda Note Added: 0040154
2016-04-14 10:17 Kunda Note Added: 0040156
2016-04-18 03:31 longli Note Added: 0040234
2016-04-18 03:50 longli File Added: scribus mp4.zip.001
2016-04-18 03:51 longli File Added: scribus mp4.zip.002
2016-04-18 03:51 longli File Added: scribus mp4.zip.003
2016-04-18 03:52 longli File Added: scribus mp4.zip.004
2016-04-18 03:55 longli File Deleted: scribus mp4.zip.001
2016-04-18 03:55 longli File Deleted: scribus mp4.zip.002
2016-04-18 03:55 longli File Deleted: scribus mp4.zip.003
2016-04-18 03:55 longli File Deleted: scribus mp4.zip.004
2016-04-18 04:00 longli File Added: scribusime_Compress.part1.rar
2016-04-18 04:00 longli File Added: scribusime_Compress.part2.rar
2016-04-18 04:07 Kunda Note Added: 0040236
2016-04-19 08:57 longli Note Added: 0040302
2016-04-28 00:49 Kunda Relationship added related to 0013717
2016-04-28 00:51 Kunda Assigned To => Kunda
2016-04-28 00:51 Kunda Status resolved => assigned
2016-04-28 00:51 Kunda Tag Attached: Qt5.7
2016-04-28 00:55 Kunda Note Added: 0040559
2016-04-28 00:56 Kunda Note Added: 0040560
2016-05-12 11:29 longli Note Added: 0040962
2016-05-12 11:29 longli File Added: Mac OS X 10.9-2016-05-12-19-23-57.png
2016-05-12 12:51 Kunda Note Added: 0040965
2016-11-09 11:47 Kunda Note Added: 0042370
2016-11-22 12:01 Kunda Note Added: 0042496
2016-11-23 09:03 longli Note Added: 0042510
2016-11-23 11:47 Kunda Note Added: 0042513